# eric4.Plugins.VcsPlugins.vcsSubversion.SvnStatusMonitorThread

Module implementing the VCS status monitor thread class for Subversion.

### Global Attributes

None

### Classes

SvnStatusMonitorThread | Class implementing the VCS status monitor thread class for Subversion.

### Functions

None

## SvnStatusMonitorThread

Class implementing the VCS status monitor thread class for Subversion.

### Derived from

VcsStatusMonitorThread

### Class Attributes

None

### Class Methods

None

### Methods

SvnStatusMonitorThread | Constructor
_performMonitor | Protected method implementing the monitoring action.

### Static Methods

None

#### SvnStatusMonitorThread (Constructor)

SvnStatusMonitorThread(interval, projectDir, vcs, parent = None)

Constructor

interval
  new interval in seconds (integer)
projectDir
  project directory to monitor (string or QString)
vcs
  reference to the version control object
parent
  reference to the parent object (QObject)

#### SvnStatusMonitorThread._performMonitor

_performMonitor()

Protected method implementing the monitoring action.

This method populates the statusList member variable with a list of strings giving the status in the first column and the path relative to the project directory starting with the third column. The allowed status flags are:

- "A" path was added but not yet comitted
- "M" path has local changes
- "R" path was deleted and then re-added
- "U" path needs an update
- "Z" path contains a conflict
- " " path is back at normal

Returns:
  tuple of flag indicating successful operation (boolean) and a status message in case of non successful operation (QString)

Up